FIXED: Current installer.app wont let you install BSDSubsystem 1.5

Discussion in 'iPhone' started by gizzymo, Oct 24, 2007.

  1. gizzymo macrumors newbie

    Joined:
    Oct 24, 2007
    #1
    The latest installer beta has the wrong link in the RemotePackages.plist file for the BSD subsystem.

    RemotePackages.plist is in /var/root/library/installer/

    You need to change

    <string>http://conceitedsoftware.com/iphone/zips/BSD_Subsystem-1.5.zip</string>

    TO

    <string>http://iphone.nullriver.com/zips/BSD_Subsystem-1.5.zip</string>

    Then open installer.app and immediately install the bsdsubsystem, I say immediatly, as you dont want installer.app to do one of its sources refreshes, and undo the work you have just done!
     
  2. thankyoudood macrumors newbie

    Joined:
    Oct 24, 2007
    #2
    Thanks a lot bro!
    Worked like a charm!

    From all of us who were WTFing over why BSD didn't work,
    Thanks!
     
  3. astrar macrumors newbie

    Joined:
    Oct 24, 2007
    #3
    thanks, but how can i edit this file, i just fresh upgrade from 1.0.2 to 1.1.1 and i only have installer installed, i hv try to install term-vt100, but it has error popped, i cannot use winSCP from my desktop since i cannot install ssh on my iphone..... please advice, thanks!!
     
  4. Orwell1984 macrumors newbie

    Joined:
    Oct 10, 2007
    #4
    This might be my problem with the 1.1.1 jailbreak (miiiiiiiiiight).

    Anyway, how do I alter that string? Can I do it with iBrickr?
     
  5. macdogbd macrumors newbie

    Joined:
    Oct 30, 2007
    #5
    Bad link to BSD_Subsystem

    Dear Folks,

    How does one access the file RemotePackages.plist on the iphone, if one has not been able to establish a connection from a computer to the iphone?
     
  6. MatthewStorm macrumors 6502a

    MatthewStorm

    Joined:
    Oct 19, 2003
    Location:
    NYC
    #6
    Thanks for posting gizzymo, but how can I tell if BSD subsystem got installed? The only option in Installer is to Reinstall. It does not say Uninstall. But is seemed to install, or at least go through the motions. Thanks for the help.
     
  7. EGL macrumors newbie

    Joined:
    Oct 31, 2007
    #7
    Still NOT WORKING BSD

    Hello:

    I'ver got an iphone 1.1.1., touchFree and anySIM.
    Now i am trying to install BSD Subsystem 1.5 and i followed your method. But still not working: Always the same message in my iphone screen:

    1º Downloading package...
    and after that:
    Error
    Package download failed: timed out!

    I will describe all my steps.

    As you said i open WinSCP to connect with my Iphone.

    go to /var/root/Library/Installer/RemotePackages.plist

    open it
    change it into http://iphone.nullriver.com/zips/BSD_Subsystem-1.5.zip
    save it (RemotePackages.plist) in WinSCP and close that file

    Still with WinSCP open and connected, go to my iphone immediately and start installer.app in my springboard, go to all cathegories, system and try to install it again. But another error.


    I check my wi-fi connection, i restart my router, i tried also with this new url address which works in my computer:

    <string>http://iphone.conceitedsoftware.com/zips/BSD_Subsystem-1.5.zip</string>

    I don't Know what to do.

    Please help me, i am not an expert.

    I have got BSD_Subsystem-1.5.zip file in my computer. Is there any way to install it into my iphone using WinSCP copying the file or anything like this?


    Thank you very much even all.
     
  8. EGL macrumors newbie

    Joined:
    Oct 31, 2007
    #8
    in the end i reached

    Thanks i made again and i have it
    thank you very much
     

Share This Page